Index: livefilter.c
===================================================================
RCS file: /var/cvsroot/streamdev/server/livefilter.c,v
retrieving revision 1.3
diff -u -r1.3 livefilter.c
--- livefilter.c	23 Apr 2007 15:44:55 -0000	1.3
+++ livefilter.c	23 Apr 2007 17:18:28 -0000
@@ -28,7 +28,7 @@
 	while (length > 0) {
 		int chunk = min(length, TS_SIZE - 5);
 		buffer[0] = TS_SYNC_BYTE;
-		buffer[1] = (Pid >> 8) & 0xff;
+		buffer[1] = ((Pid >> 8) & 0x3f) | (pos==0 ? 0x40 : 0); /* bit 6: payload unit start indicator (PUSI) */
 		buffer[2] = Pid & 0xff;
 		buffer[3] = Tid;
 		buffer[4] = (uchar)chunk;
@@ -43,3 +43,10 @@
 }
 
 #endif // VDRVERSNUM >= 10300
+
+// Local Variables:
+// c-basic-offset: 8
+// indent-tabs-mode: t
+// End:
+//
+// vim: et sts=8 sw=8
